libdv4-1.0.0-lp150.195.10.x86_64.rpm


Advertisement

Description

libdv4 - The Quasar DV Codec

Property Value
Distribution openSUSE Leap 15.0
Repository Multimedia Libs all
Package filename libdv4-1.0.0-lp150.195.10.x86_64.rpm
Package name libdv4
Package version 1.0.0
Package release lp150.195.10
Package architecture x86_64
Package type rpm
Category Development/Libraries/Other
Homepage http://libdv.sourceforge.net/
License GPL-2.0+
Maintainer -
Download size 71.55 KB
Installed size 169.59 KB
The Quasar DV codec (libdv) is a software codec for DV video, the
encoding format used by most digital camcorders, typically those that
support the IEEE 1394 (FireWire or i.Link) interface. Libdv was
developed according to the official standards for DV video: IEC 61834
and SMPTE 314M.
There are two sample applications included with libdv: playdv and
encode.

Alternatives

Package Version Architecture Repository
libdv4-1.0.0-lp150.1.7.x86_64.rpm 1.0.0 x86_64 openSUSE Oss
libdv4 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.14)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -

Provides

Name Value
libdv.so.4()(64bit) -
libdv4 = 1.0.0-lp150.195.10
libdv4(x86-64) = 1.0.0-lp150.195.10

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libdv4-1.0.0-lp150.195.10.x86_64.rpm
Source Package libdv-1.0.0-lp150.195.10.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Leap_15.0/ multimedia-libs
  2. Install libdv4 rpm package:
    # zypper install libdv4

Files

Path
/usr/lib64/libdv.so.4
/usr/lib64/libdv.so.4.0.3

Changelog

2015-03-06 - mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- User url for source
2015-01-27 - crrodriguez@opensuse.org
- libdv-endian.patch : Fix endiannnes tests to rely on the
compiler instead on the precence of C library definitions
This is more important for dv_types.h public header because
BYTE_ORDER is only defined when USE_MISC is.
- libdv-visibility.patch: Export only the public API (dv.h)
private symbols are now hidden so the unprefixed ones
do not name-clash with other components of the system.
2013-04-22 - dimstar@opensuse.org
- Add libXv-devel BuildRequires: this used to be pulled in by SDL,
but those dependencies were cleaned up.
2011-11-13 - coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
2011-09-03 - crrodriguez@opensuse.org
- Fix build with no-add-needed
2011-07-08 - idonmez@novell.com
- Apply libdv-v4l-2.6.38.patch on openSUSE >= 12.1 to enable v4l
2010-06-04 - cristian.rodriguez@opensuse.org
- make it work with selinux enforcing "execmod" (patch by PaxTeam)
2010-01-02 - vuntz@opensuse.org
- Add trivial libdv-gtk2.patch to use GTK+ 2 instead of GTK+ 1. The
patch comes from Debian.
- Change gtk1-compat-devel BuildRequires to gtk2-devel.
- Remove AutoReqProv: it's default now.
- Use makeinstall macro.
- Use includedir instead of /usr/include.
2009-12-18 - jengelh@medozas.de
- add baselibs.conf as a source
2009-01-13 - crrodriguez@suse.de
- remove static libraries and "la" files

See Also

Package Description
libdvbpsi-0-devel-0.2.2-lp150.9.9.x86_64.rpm Library for Decoding and Generation of MPEG TS and DVB PSI Tables
libdvbpsi-devel-1.3.2-lp150.42.6.x86_64.rpm Development headers and libraries for libdvbpsi
libdvbpsi10-1.3.2-lp150.42.6.x86_64.rpm Library for Decoding and Generating MPEG TS and DVB PSI Tables
libdvbpsi7-0.2.2-lp150.9.9.x86_64.rpm Library for Decoding and Generating MPEG TS and DVB PSI Tables
libdvdnav-devel-6.0.0-lp150.34.2.x86_64.rpm Development Environment for libdvdnav
libdvdnav4-6.0.0-lp150.34.2.x86_64.rpm A DVD Navigation Library
libdvdread-devel-6.0.1-lp150.38.2.x86_64.rpm Development Environment for libdvdread
libdvdread4-6.0.1-lp150.38.2.x86_64.rpm Library for Reading DVD Video Images
libebml-devel-1.3.7-lp150.78.2.x86_64.rpm Development files for the EBML file parser library
libebml4-1.3.7-lp150.78.2.x86_64.rpm Library to parse EBML files
libebur128-1-1.2.4-lp150.7.6.x86_64.rpm A library implementing the EBU R128 loudness standard
libebur128-devel-1.2.4-lp150.7.6.x86_64.rpm Development files for libebur128
libexempi-devel-2.4.5-lp150.36.11.x86_64.rpm Development files for the Exempi XMP support library
libexempi3-2.4.5-lp150.36.11.x86_64.rpm XMP support library
libffms2-4-2.23.1-lp150.4.18.x86_64.rpm Wrapper library around libffmpeg
Advertisement
Advertisement